@import url("https://fonts.googleapis.com/css2?family=Inter:wght@400;700&display=swap");

::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background-color: var(--primary-blue-dark);
}

::-webkit-scrollbar-thumb {
  background-color: #888;
  border-radius: 5px;
}

:root {
  --primary-green: #36b37e;
  --primary-green-light: #c5e9da;
  --secondary-green-light: #ebf0ee;
  --primary-blue-dark: #172b4d;
  --primary-white-light: #fff;
}

::-webkit-scrollbar-thumb:hover {
  background-color: #555;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  width: 100%;
  height: 100%;
  font-style: normal;
  font-family: "Inter", sans-serif;
  color: var(--primary-blue-dark);
}

li,
a,
a:link,
a:visited {
  color: var(--primary-blue-dark);
  text-decoration: none;
  list-style: none;
}

nav {
  padding: 1rem;
  height: 50px;
  width: 100%;
  align-items: center;
  justify-content: flex-end;
}

h1 {
  width: 90%;
  letter-spacing: 1.37px;
  text-align: center;
  font-weight: 700;
  font-size: 40px;
  line-height: 52px;
}

h1::after {
  letter-spacing: 0;
  color: var(--primary-green);
  content: "I'm a software developer";
}

.nav-mobile {
  padding: 1rem;
  position: fixed;
  background-color: var(--primary-green);
  opacity: 0.8;
}

.menu-btn {
  border-style: none;
  background-color: transparent;
  cursor: pointer;
}

#menu {
  position: fixed;
  z-index: 3;
  width: 100%;
  height: 100%;
  gap: 3rem;
  background-color: #e5e5e5;
  display: none;
}

.close-btn {
  align-self: flex-end;
  border-style: none;
  background-color: transparent;
}

.menu-mobile {
  padding: 1rem;
  width: 100%;
  height: 95%;
  gap: 3rem;
  border-bottom-left-radius: 3rem;
  border-bottom-right-radius: 3rem;
  background-color: var(--primary-white-light);
}

.menu-options {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  font-size: 2rem;
  font-weight: 600;
  align-self: flex-start;
  align-items: flex-start;
}

.flex-column {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.flex-row {
  display: flex;
}

header {
  min-height: 700px;
  background: url(icons/header-illsutration-mobile.svg) no-repeat center;
  background-size: 100%;
}

.intro-container {
  min-height: 100%;
  width: 100%;
  padding: 5rem 2rem;
  gap: 1rem;
  justify-content: flex-end;
}

.intro-container p {
  width: 90%;
  text-align: center;
  font-weight: 400;
  font-size: 20px;
  line-height: 28px;
}

.slide-left {
  animation: slideleft 1s linear forwards;
}

@keyframes slideleft {
  from {
    transform: translate(100px);
    opacity: 0;
  }

  to {
    transform: translate(0);
    opacity: 1;
  }
}

.slide-right {
  animation: slideright 1s linear forwards;
}

@keyframes slideright {
  from {
    transform: translate(-100px);
    opacity: 0;
  }

  to {
    transform: translate(0);
    opacity: 1;
  }
}

.slide-up {
  animation: slideup 1s linear forwards;
}

@keyframes slideup {
  from {
    transform: translateY(400px);
    opacity: 0;
  }

  to {
    transform: translateY(0);
    opacity: 1;
  }
}

.shown-project-container {
  display: none;
  position: fixed;
  top: 0;
  right: 50%;
  bottom: 0;
  transform: translateX(50%);
  width: 375px;
  height: auto;
  padding: 1rem;
  background-color: #c1c7d0dc;
  backdrop-filter: blur(5px);
  z-index: 999;
  overflow-y: auto;
}

.shown-project {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  width: 340px;
  min-height: 700px;
  max-width: 500px;
  background-color: white;
  border-radius: 10px;
  padding: 1rem;
  gap: 1rem;
}

.shown-project h3 {
  margin-top: 0;
  font-size: 32px;
}

.shown-project p {
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5rem;
  color: #344563;
}

.project-image {
  width: 100%;
  height: 220px;
  background: url(icons/Snapshoot\ Portfolio.svg) no-repeat center;
}

.project-buttons {
  gap: 1rem;
  width: 100%;
  justify-content: space-around;
}

.project-buttons button {
  height: 50px;
  width: 140px;
  justify-content: space-around;
  align-items: center;
  font-size: 1rem;
  font-weight: 700;
  padding: 0.5rem;
  color: var(--primary-white-light);
  background-color: var(--primary-green);
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

.live-btn > img {
  width: 2rem;
  height: 50%;
}

.source-btn > img {
  width: 2rem;
  height: 60%;
}

.close-shown-project {
  position: absolute;
  width: 24px;
  height: 24px;
  top: 4.2%;
  right: 9%;
  background: url(icons/Icon\ -\ Cancel\ project.svg);
  border: none;
  background-color: transparent;
  cursor: pointer;
}

.social-media,
a:visited {
  color: var(--primary-blue-dark);
  gap: 1rem;
}

/* Adding animation to social media icons */
.social-media img:hover {
  transform: scale(1.5);
  transition: transform 0.3s ease-in-out;
}

.down-btn {
  margin-top: 3rem;
  height: 40px;
  width: 40px;
  justify-content: center;
  border-radius: 50%;
  border: 1px solid #dfe1e6;
  cursor: pointer;
}

.down-btn:hover {
  box-shadow: 0 0 10px 6px rgba(19, 88, 60, 0.24);
  transition: box-shadow 0.3s ease-out;
}

main {
  background: url(icons/illustration-contact-form.svg) no-repeat right bottom;
}

.work-section-container {
  padding-top: 3rem;
}

.title-work-section {
  width: 80%;
  height: 130px;
  font-weight: 700;
  font-size: 40px;
  text-align: center;
  background: url(icons/Indicator.svg) no-repeat bottom;
}

.projectcards-container {
  padding-top: 3.5rem;
  display: grid;
  justify-items: center;
  gap: 2rem;
  grid-template-columns: repeat(auto-fit, minmax(330px, 1fr));
}

.project-cards {
  width: 327px;
  height: 474px;
  justify-content: flex-end;
  border-radius: 8px;
  border: 1px solid #d0d9d4;
  background-color: #ebf0ee;
}

.content-cards {
  width: 325px;
  height: 260px;
  padding: 1rem 0 1.5rem;
  justify-content: space-between;
  gap: 1rem;
  border-radius: 8px;
  border: 1px solid var(--primary-white-light);
  background-color: var(--primary-white-light);
}

.content-cards h3 {
  font-weight: 700;
  font-size: 24px;
  line-height: 32px;
  text-align: center;
  color: var(--primary-blue-dark);
}

.technologies {
  width: 325px;
  height: 32px;
  font-weight: 700;
  gap: 8px;
  justify-content: space-between;
  align-items: center;
}

.technologies li {
  padding: 8px 10px;
  font-weight: 600;
  font-size: 12px;
  line-height: 18px;
  letter-spacing: 0.03em;
  border-radius: 4px;
  color: var(--primary-blue-dark);
  background-color: #ebf0ee;
}

.project-btn {
  width: 122px;
  height: 48px;
  margin-top: 1rem;
  font-weight: 500;
  font-size: 18px;
  border-radius: 4px;
  border: none;
  color: var(--primary-blue-dark);
  background-color: var(--primary-green);
  cursor: pointer;
}

.btn:hover {
  background: var(--primary-green);
  box-shadow: 0 8px 16px rgba(54, 179, 127, 0.24);
}

.btn:enabled {
  background: var(--primary-green);
}

.btn:active {
  background: #008552;
}

.about-me {
  min-height: 400px;
  margin-top: 2rem;
  text-align: center;
  gap: 1.5rem;
  justify-content: flex-end;
  background:
    url(icons/illustration\ 1-\ about\ me-mobile.svg) no-repeat top
    right,
    url(icons/illustration\ 2-about\ me\ mobile.svg) no-repeat bottom left;
}

.about-me h2 {
  font-weight: 700;
  font-size: 40px;
}

.about-me p {
  padding: 0 1rem;
  font-weight: 400;
  font-size: 20px;
  line-height: 32px;
}

.resume-btn {
  width: 153px;
  height: 48px;
  padding: 12px;
  font-weight: 500;
  font-size: 18px;
  border: none;
  color: var(--primary-blue-dark);
  background: var(--primary-green);
  border-radius: 4px;
  cursor: pointer;
}

.skillcards-container {
  padding-top: 4rem;
  justify-items: center;
  gap: 1.5rem;
  flex-wrap: wrap;
}

.skill-cards {
  min-width: 327px;
  min-height: 316px;
  padding: 0 0 4rem;
  text-align: center;
  justify-content: flex-end;
  gap: 1.5rem;
  border-radius: 8px;
  border: 2px solid #d0d9d4;
  background-color: #ebf0ee;
  background-repeat: no-repeat;
  background-position: center 40px;
}

.card-1 {
  background-image: url(icons/icon-languages.svg);
}

.card-2 {
  background-image: url(icons/icon-frameworks.svg);
}

.card-3 {
  background-image: url(icons/icon-skills.svg);
}

.skill-cards h3 {
  font-weight: 600;
  font-size: 24px;
  line-height: 32px;
}

.tags {
  width: 293px;
  height: 40px;
  gap: 0.5rem;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
}

.tags li {
  padding: 12px;
  font-weight: 600;
  font-size: 12px;
  line-height: 16px;
  border-radius: 8px;
  color: var(--primary-green);
  background-color: var(--primary-blue-dark);
}

.contact-section-container {
  margin-top: 3rem;
  padding: 3rem 1rem;
  text-align: center;
  gap: 3rem;
}

.contact-section-container h2 {
  font-weight: 700;
  font-size: 40px;
  line-height: 52px;
}

.form-fields {
  gap: 2rem;
}

.form-fields input {
  min-width: 327px;
  min-height: 48px;
  font-style: italic;
  font-size: 15px;
  line-height: 24px;
  padding: 1rem;
  justify-content: center;
  border: 1px solid #d0d9d4;
  border-radius: 4px;
}

.submit-container {
  width: 100%;
  align-items: center;
  flex-direction: column;
  gap: 0.5rem;
}

.email-error {
  display: none;
  color: rgb(247, 51, 51);
  font-weight: 700;
  font-size: 14px;
}

textarea::-webkit-resizer {
  display: none;
}

.form-fields textarea {
  width: 327px;
  height: 114px;
  padding: 1rem;
  font-size: 15px;
  line-height: 24px;
  border: 1px solid #d0d9d4;
  border-radius: 4px;
  background: url(icons/Icon\ -\ Resizer\ Handle.svg) no-repeat bottom right;
}

input:focus,
textarea:focus {
  outline: none;
  border: 2px solid #60c095;
  font-weight: 500;
  font-size: 1rem;
  box-shadow: 0 -8px 16px 0 rgba(19, 88, 60, 0.24);
  transform: translateY(5px);
  transition: transform 0.5s ease-out, box-shadow 0.3s ease-out;
}

.form-btn {
  width: 129px;
  height: 48px;
  font-weight: 500;
  font-size: 18px;
  border-radius: 4px;
  border: none;
  color: var(--primary-blue-dark);
  background-color: var(--primary-green);
  cursor: pointer;
}

.footer-section {
  height: 150px;
  padding-top: 1rem;
  gap: 2rem;
  background: url(icons/Light.svg) no-repeat center bottom;
}

.footer-section > a {
  font-weight: 400;
  font-size: 20px;
  line-height: 32px;
  color: #42526e;
}

.hidden-desktop {
  display: none;
}

@media only screen and (min-width: 768px) {
  .hidden-mobile {
    display: none;
  }

  header {
    min-height: 140%;
    background: url(icons/Header-llustration-desktop.svg) no-repeat top;
    background-size: 100%;
  }

  main {
    background:
      url(icons/illustration-1-contact-form-desktop.svg) no-repeat
      left 99%,
      url(icons/illustration-2-contact-form-desktop.svg) no-repeat 30% 95.9%,
      url(icons/contact\ form-illustratoin-3-desktop.svg) no-repeat right 99.5%;
  }

  .nav-desktop {
    position: fixed;
    min-height: 2rem;
    font-size: 1rem;
    font-weight: 700;
    background-color: #42526e;
    display: flex;
    justify-content: center;
    gap: 2rem;
    animation: slidedown 1.3s linear forwards;
    z-index: 99;
  }

  .nav-desktop:hover {
    background-color: #42526e;
  }

  .nav-desktop a {
    font-size: 1.2rem;
    color: var(--primary-green-light);
  }

  .nav-desktop a:hover {
    transform: scale(1.2);
    transition: transform 0.3s ease-out;
  }

  @keyframes slidedown {
    from {
      transform: translateY(-50px);
      opacity: 0;
    }

    to {
      transform: translateY(0);
      opacity: 1;
    }
  }

  .intro-container {
    width: 70%;
    height: 700px;
    justify-content: center;
  }

  .intro-container h1 {
    text-align: center;
    font-weight: 700;
    font-size: 50px;
    line-height: 60px;
    letter-spacing: 1.37px;
  }

  .intro-container p {
    width: 90%;
    font-weight: 500;
    font-size: 20px;
    line-height: 32px;
    text-align: center;
  }

  .work-section-container {
    padding-top: 2rem;
  }

  .title-work-section {
    margin-top: 2rem;
    justify-content: center;
  }

  .projectcards-container {
    width: 80%;
  }

  .shown-project-container {
    display: none;
    position: fixed;
    top: 0;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%);
    width: 100%;
    height: auto;
    padding: 1rem;
    background-color: #c1c7d0dc;
    backdrop-filter: blur(5px);
    z-index: 999;
    overflow-y: auto;
  }

  .shown-project {
    position: absolute;
    min-width: 920px;
    height: 880px;
    align-items: flex-start;
    justify-content: flex-end;
    background-color: white;
    border-radius: 10px;
    padding: 1rem;
    gap: 1rem;
  }

  .project-image {
    height: 580px;
    min-width: 100%;
    background: url(icons/Snapshoot\ Portfolio\ desktop.svg) no-repeat center;
  }

  .project-buttons {
    width: 95%;
    position: absolute;
    top: 75%;
    justify-content: flex-end;
  }

  .close-shown-project {
    top: 2%;
    width: 40px;
    height: 40px;
    background-image: url(icons/Disabled.svg);
    border-radius: 8px;
  }

  .about-me {
    margin-top: 4%;
    justify-content: center;
    background:
      url(icons/illustration-about\ me-1-desktop.svg) no-repeat right
      5%,
      url(icons/illustration-about-me-2-desktop.svg) no-repeat left 60%;
  }

  .about-me p {
    width: 65%;
    font-style: normal;
    text-align: center;
  }

  .skillcards-container {
    width: 80%;
    display: flex;
    gap: 2rem;
    flex-direction: row;
    justify-content: center;
  }

  .about-section-container {
    display: flex;
    flex-direction: column;
    align-content: center;
    text-align: center;
  }

  .contact-section-container {
    padding-top: 6rem;
    min-height: 630px;
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
  }

  .contact-section-container h2 {
    width: 463px;
    font-size: 30px;
  }

  .form-fields input,
  .form-fields textarea {
    width: 560px;
    gap: 1rem;
  }

  input:focus,
  textarea:focus {
    outline: none;
    border: 2px solid #60c095;
    font-weight: 500;
    font-size: 1rem;
    box-shadow: -8px 8px 16px 0 rgba(19, 88, 60, 0.24);
    transform: translate(10px);
    transition: transform 0.5s ease-out, box-shadow 0.3s ease-in-out;
  }

  .submit-container {
    width: 100%;
    flex-direction: row;
    align-self: flex-start;
    gap: 4rem;
  }

  .email-error {
    display: none;
    color: rgb(247, 51, 51);
  }

  .form-btn {
    margin-top: 0;
    align-self: flex-start;
  }

  .footer-section {
    height: 90px;
    padding: 0;
    border-top: 2px solid #dfe1e6;
    background: none;
    justify-content: center;
  }

  .social-media :nth-child(1) {
    order: 4;
  }

  .social-media :nth-child(2) {
    order: 2;
  }

  .social-media :nth-child(3) {
    order: 5;
  }

  .social-media :nth-child(4) {
    order: 1;
  }

  .social-media :nth-child(5) {
    order: 3;
  }
}
